/***************************************************************************
 *   Copyright (C) 2006 by Ken Werner                                      *
 *   ken.werner@web.de                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "acpithermalsrc.h"
#include <qtextstream.h> 
#include <klocale.h>
#include <kglobal.h>

ACPIThermalSrc::ACPIThermalSrc(const QFile& inSourceFile):
		Source(inSourceFile){
	mName = mSourceFile.name().section( '/', -2, -2, QString::SectionSkipEmpty );
	mDescription = "This source is provided by the Linux ACPI Thermal Zone Driver. The corresponding kernel module is called thermal.";
}

ACPIThermalSrc::~ACPIThermalSrc(){
}

QString ACPIThermalSrc::getValue(){
	QString s = "n/a";
	if(mSourceFile.open(IO_ReadOnly)){
		QTextStream textStream( &mSourceFile );
		s = textStream.readLine();
		mSourceFile.close();
		s = s.remove("temperature:").stripWhiteSpace();
		if ( KGlobal::locale()->measureSystem() == KLocale::Imperial ) 
			s = QString::number(celsiusToFahrenheit(s.remove(s.length()-2,2).toInt())).append(" F");
		else
			s = s.insert( s.length()-1, "" );
	}
	return s;
}
