/***************************************************************************
 *   Copyright (C) 2006 by                                                 *
 *   Flavio Castelli, micron@madlab.it                                     *
 *   Ken Werner, ken.werner@web.de                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "ibookg4thermalsrc.h"
#include <qtextstream.h> 
#include <klocale.h>
#include <kglobal.h>

IbookG4ThermalSrc::IbookG4ThermalSrc(const QFile& inSourceFile, const QString& inName)
		:Source(inSourceFile){
	mName = inName;
	mDescription = "This source is tested on iBook G4 laptops. It may work on other Apple machines as well (please let me know)";
}

IbookG4ThermalSrc::~IbookG4ThermalSrc(){
}

QString IbookG4ThermalSrc::getValue(){
	QString s = "n/a";
	if(mSourceFile.open(IO_ReadOnly)){
		QTextStream textStream( &mSourceFile );
		s = textStream.readLine().stripWhiteSpace();
		mSourceFile.close();
		if ( KGlobal::locale()->measureSystem() == KLocale::Imperial ) 
			s = QString::number(celsiusToFahrenheit(s.toInt())).append(" F");
		else
			s.append( " C");
	}
	return s;
}
